*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: "Roboto", sans-serif;
  color: #434455;
  background-color: #ffffff;
}

img {
  display: block;
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

.pgs-header {
  height: 72px;
  border-bottom: 1px solid #e7e9fc;
  box-shadow: 0px 2px 1px rgba(46, 47, 66, 0.08),
    0px 1px 1px rgba(46, 47, 66, 0.16), 
    0px 1px 6px rgba(46, 47, 66, 0.08);
  display: flex;
}

.hdr-container {
  display: flex;
}

.container {
  width: 1158px;
  margin: 0 auto;
  padding: 0 15px;
}

.hdr-nav {
  display: flex;
  align-items: center;
  justify-content: center;
}

.logo-one {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  font-size: 18px;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;
  color: #4d5ae5;
  margin-right: 76px;
}

.logo-one .logo-two {
  color: #2e2f42;
}

.list-nav {
  display: flex;
  gap: 40px;
}

.list-nav__list-item:nth-of-type(1) .link{
  position: relative;
  color:#404bbf ;
}

.list-nav__list-item:nth-of-type(1) .link::after{
  content: "";
  width: 100%;
  height: 4px;
  position: absolute;
  bottom: -1px;
  left: 0;
  border-radius: 2px;
  background-color: #404bbf;
}

.list-nav__list-item .link {
  font-weight: 500;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #2e2f42;
  padding: 24px 0;
  transition: color 250ms cubic-bezier(0.4,0,0.2,1);
}

.list-nav__list-item .link:hover {
  color: #404bbf;
}
.list-nav__list-item .link:focus {
  color: #404bbf;
}

.contact {
  font-style: normal;
  display: flex;
  margin-left: auto;
}

.list-contact {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 40px;
}

.contact .link {
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #434455;
  transition: color 250ms cubic-bezier(0.4,0,0.2,1);
}

.contact .link:hover,
.contact .link:focus {
  color: #404bbf;
}

.first {
  background-color: #2e2f42;
  padding: 188px 0;
  background-image:
   linear-gradient(rgba(46,47,66,0.7),
   rgba(46,47,66,0.7)),
   url(../images/bgimg.jpg);
  max-width: 1440px;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  margin: 0 auto;
  text-align: center;
}

.first .container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.first__title {
  font-size: 56px;
  line-height: 1.07;
  text-align: center;
  letter-spacing: 0.02em;
  color: #ffffff;
  max-width: 496px;
}

.first-buton {
  font-family: "Roboto", sans-serif;
  font-weight: 500;
  color: #ffffff;
  background-color: #4d5ae5;
  line-height: 1.5;
  letter-spacing: 0.04em;
  cursor: pointer;
  display: block;
  min-width: 169px;
  height: 56px;
  border: none;
  border-radius: 4px;
  transition: background-color 250ms cubic-bezier(0.4,0,0.2,1);
}

.first-buton:hover {
  background-color: #404bbf;
}
.first-buton:focus {
  background-color: #404bbf;
}

.second {
  padding: 120px 0;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  border: 0;
  padding: 0;
  white-space: nowrap;
  clip-path: inset(100%);
  clip: rect(0 0 0 0);
  overflow: hidden;
}

.second-list {
  display: flex;
  gap: 24px;
}

.second-list_items {
  width: calc((100%-72px) / 4);
  flex-basis: calc((100%-72px) / 4);
}

.second__list-title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: #2e2f42;
  margin-bottom: 8px;
}

.second .text {
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #434455;
}

.second-list_items .icons_container{
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f4f4fd;
  border-radius: 4px;
  border: 1px solid #8e8f99;
  margin-bottom: 8px;
  height: 112px;
}

.third {
  background-color: #f4f4fd;
  padding: 120px 0;
}

.third__title {
  font-size: 36px;
  line-height: 1.11;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: capitalize;
  color: #2e2f42;
  margin-bottom: 72px;
  display: flex;
  justify-content: center;
}

.third__list {
  display: flex;
  gap: 24px;
}

.third__list .list-item {
  background-color: #ffffff;
  width: calc((100%-72px) / 4);
  flex-basis: calc((100%-72px) / 4);
  border-radius: 0px 0px 4px 4px;
  box-shadow: 0px 1px 6px 
  rgba(46,47,66,0.08),
  0px 1px 1px rgba(46, 47, 66, 0.16), 
  0px 2px 1px rgba(46, 47, 66, 0.08);
}

.third .social-list{
 display: flex;
 justify-content: center;
 gap: 24PX;
 margin-top: 16PX; 
}

.social-list .list-item{
  width:40px;
  height:40px;
}

.third .social-list .list-item .social-link{
  width: 100%;
  height: 100%;
  background-color: #4d5ae5;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 250ms cubic-bezier(0.4,0,0.2,1);
}

.social-icon{
  fill: #f4f4fd;
}

.third .social-list .list-item .social-link:hover,
.third .social-list .list-item .social-link:focus{
  background-color: #404bbf;
}

.list-item__container {
  padding: 32px 0;
}

.third__list .name {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: #2e2f42;
  text-align: center;
  margin-bottom: 8px;
}

.third__list .text {
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  text-align: center;
}

.forth {
  padding: 120px 0;
}

.forth__list {
  display: flex;
  flex-wrap: wrap;
  column-gap: 24px;
  row-gap: 48px;
}

.forth__list .list-items {
  width: calc((100% - 48px) / 3);
  transition: box-shadow 250ms cubic-bezier(0.4,0,0.2,1);
}

.forth__list .list-items:hover{
  box-shadow:  0px 1px 6px rgba(46, 47, 66, 0.08),
  0px 1px 1px rgba(46, 47, 66, 0.16), 0px 2px 1px rgba(46, 47, 66, 0.08);
}

.forth__list .list-items .img-container{
  position: relative;
  overflow: hidden;
  width: 360px;
  height: 300px;
}

.forth__list .list-items .img-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.forth__list .list-items .img-container .img-txt {
  position: absolute;
  top: 0;
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #f4f4fd;
  background-color: #4d5ae5;
  padding: 40px 32px;
  height: 100%;
  width: 100%;
  transform: translateY(100%);
  transition: transform 250ms cubic-bezier(0.4, 0, 0.2, 1);
}

.forth__list .list-items:hover .img-container .img-txt {
  transform: translateY(0);
}

.forth_list-item-container {
  padding: 32px 16px;
  border: 1px solid #e7e9fc;
  border-top: none;
}

.forth__title {
  font-size: 36px;
  line-height: 1.11;
  text-align: center;
  letter-spacing: 0.02em;
  text-transform: capitalize;
  color: #2e2f42;
  margin-bottom: 72px;
}

.forth .list-item__title {
  font-weight: 500;
  font-size: 20px;
  line-height: 1.2;
  letter-spacing: 0.02em;
  color: #2e2f42;
  margin-bottom: 8px;
}

.list-items .text {
  font-size: 16px;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color: #434455;
}

.footer {
  background-color: #2e2f42;
  padding: 100px 0;
}

.footer .container{
  display: flex;
  align-items: baseline;
}

.footer .textfooter {
  color: #f4f4fd;
  letter-spacing: 0.02em;
  line-height: 1.5;
}

.footerlogo {
  font-family: "Raleway", sans-serif;
  font-weight: 700;
  font-size: 18px;
  line-height: 1.17;
  letter-spacing: 0.03em;
  text-transform: uppercase;
  color: #4d5ae5;
  display: inline-block;
  margin-bottom: 16px;
  }

.footerlogo .spanlogo {
  color: #f4f4fd;
}
.footer .textfooter {
  max-width: 264px;
}

.subcontainer{
  margin-right: 120px;
}

.social-container .text{
  font-weight: 500;
  line-height: 1.5;
  letter-spacing: 0.02em;
  color:#ffffff;
  margin-bottom: 16px;
}

.social-list{
  display: flex;
  gap: 16px;
}

.sociallist-item{
  width: 40px;
  height: 40px;
}

.sociallist-item .social-link{
  width: 100%;
  height: 100%;
  background-color: #4d5ae5;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 250ms cubic-bezier(0.4,0,0.2,1);
}

.sociallist-item .social-link:hover,
.sociallist-item .social-link:focus{
  background-color: #31d0aa;
}